# ATT Compliance (iOS)

The following is the definition of tracking under ATT:

> Tracking refers to the act of linking user or device data collected from your app with user or device data collected from other companies’ apps, websites, or offline properties for targeted advertising or advertising measurement purposes. Tracking also refers to sharing user or device data with data brokers.

SDK internal tracking is intended solely for internal use. Therefore, the definition of "tracking" under ATT does not apply to internal SDK tracking. Therefore, SDK always sends internal data events, regardless of the ATT consent status. But host app can still use `FireworkVideoSDK.analytics.dataTrackingLevel` to toggle SDK internal tracking.

### Video Ads

If the host application utilizes SDK video ads (e.g., `StoryBlockContentSource.videoAds`), it is the host app's responsibility to determine whether external VAST ad tracking should be sent, based on the user's ATT consent status. External ad tracking can be disabled by setting `FireworkVideoSDK.externalAdTrackingEnabled` to false (the default value is `true`).

{% hint style="info" %}
If the host application intends to send external VAST ad tracking only when users have granted permission, host app can also configure `NSPrivacyTracking` and `NSPrivacyTrackingDomains` in [the privacy manifest](https://developer.apple.com/documentation/bundleresources/privacy-manifest-files) to enforce this behavior.
{% endhint %}

For more details, please refer to the following links:

1. <https://developer.apple.com/app-store/user-privacy-and-data-use/>
2. <https://developer.apple.com/documentation/apptrackingtransparency/>
3. <https://developer.apple.com/design/human-interface-guidelines/privacy/>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/att-compliance-ios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
